Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.configuration.security
Class ClientAuthentication

    java.lang.Object
      org.apache.cxf.configuration.security.ClientAuthentication

    public class ClientAuthentication

extends java.lang.Object

Java class for ClientAuthentication complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ClientAuthentication">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="want" type="{http://www.w3.org/2001/XMLSchema}boolean" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected java.lang.Boolean` | `required`
`protected java.lang.Boolean` | `want`

Constructor Summary
`ClientAuthentication()`

Method Summary
`boolean` | `isRequired()` Gets the value of the required property.
`boolean` | `isSetRequired()`
`boolean` | `isSetWant()`
`boolean` | `isWant()` Gets the value of the want property.
`void` | `setRequired(boolean value)` Sets the value of the required property.
`void` | `setWant(boolean value)` Sets the value of the want property.
`void` | `unsetRequired()`
`void` | `unsetWant()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### required

    protected java.lang.Boolean required

### want

    protected java.lang.Boolean want

Constructor Detail

### ClientAuthentication

    public ClientAuthentication()

Method Detail

### isRequired

    public boolean isRequired()

  Gets the value of the required property.

  Returns:
    possible object is `Boolean`

### setRequired

    public void setRequired(boolean value)

  Sets the value of the required property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSetRequired

    public boolean isSetRequired()

### unsetRequired

    public void unsetRequired()

### isWant

    public boolean isWant()

  Gets the value of the want property.

  Returns:
    possible object is `Boolean`

### setWant

    public void setWant(boolean value)

  Sets the value of the want property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSetWant

    public boolean isSetWant()

### unsetWant

    public void unsetWant()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF